﻿
# Mod to revert the Hearth and Home Changes to food, also balances the new H&H food to have similar stats﻿.


![Reverted Stats](https://i.imgur.com/oVlxL5A.jpg)


# Information:

## Food Stats Have Been Reverted to Pre-Hearth & Home Update.

* All patched Hearth & Home foods values have been reverted back to their original stats.

## ﻿Hearth & Home Foods Rebalanced.

* With reverting the change to food stats, all the new food H&H added were completely useless, they would never be used, so I've rebalanced them to have similar stats so you can use a mix of both.

## Turn off the new H&H Fork food icon.

* If you don't like the new H&H update where they add fork icons to food, you can now turn them off in the config!

## ﻿Customize Your Own Stats!

* If you don't like the mods default values, customize your own stats! this mod has a config for every piece of food in the game, customize through the .json in your bepinex/configs folder.

## Customizing.

* You can use configuration manager mod to toggle the fork icon on food.
* Save button which you can toggle that applies changes in the .Json while in-game.

* Json configuration available in a new json file called "Huntard.OldFoodStats.json" in your "BepInEx/config" folder.

Example Config for SerpentStew.

	{
	  "FoodPrefabName" : "SerpentStew",
	  "Health": 80,
	  "Stamina"  : 80,
	  "Duration" : 2400,
	  "HealthRegen" : 4
	}

* Json configuration available in a new json file called "Huntard.OldFoodStatsCustom.json" in your "BepInEx/config" folder, which can be used to customize other mods foods values

Example Config for rk_bacon.

	{
	  "FoodPrefabName" : "rk_bacon",
	  "Health": 50,
	  "Stamina"  : 50,
	  "Duration" : 2400,
	  "HealthRegen" : 4
	}

# Change Log:

Check nexus for all the changelogs for this mod:

[https://www.nexusmods.com/valheim/mods/1482](https://www.nexusmods.com/valheim/mods/1482)

# Credits:

* Big thanks to mlimg and his mod Valheim No Food Timer Text (H n H) for giving me permission to use his code to remove the fork icon from food.

# Installation:

* Make sure you have installed all other requirement mods.
* Drag the .dll into your \Valheim\BepInEx\plugins folder.

# Support:

If you like what I do and want to support me.

<a href="https://www.buymeacoffee.com/Huntard"><img src="https://img.buymeacoffee.com/button-api/?text=Buy me a coffee&emoji=&slug=Huntard&button_colour=FFDD00&font_colour=000000&font_family=Cookie&outline_colour=000000&coffee_colour=ffffff" /></a>

## Github:

Feel free to submit bug reports or pull requests here.

[https://github.com/swolewizard/OldFoodStats](https://github.com/swolewizard/OldFoodStats)


# Media:

* Every piece of food changed and configurable.

![Orignal Food](https://i.imgur.com/Wt8HDaH.jpg)
![HH Food](https://i.imgur.com/IoenUhb.jpg)


* Edited using the mods config.

![](https://i.imgur.com/zaFrTlR.jpeg)

